#!/bin/bash

lamboot -v namedhostfile
dir=output/out-TEST
size=0
qcount=2
i=1
#for (( i = 1; i<= 30; i++ ))
#do
    
    mpirun N mk_tmp
    mpirun N clean_tmp 
    cp query_data /tmp/pcc05/query_data
    
    mpirun N gethostnames 
    
    size=`expr $size + 100000`
    
    mpirun N init_data $size >$dir/$i.txt
    mpirun N rs_parallel_encode >>$dir/$i.txt
    mpirun N rs_dist_codes >>$dir/$i.txt

    echo '---- INIT COMPLETE---' >>$dir/$i.txt
   
    for (( j = 0; j<$qcount; j++ ))
    do
        mpirun N query_processor $size >>$dir/$i.txt
    done
    
    echo '---KILLED Node 6 in [0,6]---' >>$dir/$i.txt
    
    mpirun N rs_gather_codes 6 >>$dir/$i.txt
    mpirun N rs_parallel_decode 6 >>$dir/$i.txt
    mpirun N dist_records 6 >>$dir/$i.txt
    
#done

lamclean
lamhalt
