#ifndef MPI_FAULT_h
#define MPI_FAULT_h

#define DATA_SIZE 50
#define Kft 3 

/* Data Type Declaration*/
typedef unsigned char unit;

typedef struct {
      int    key;
      float data;
} Element;

Element record; /* a representative variable of this type */

int          lena[2];
MPI_Aint     loca[2];
MPI_Datatype typa[2];

MPI_Aint     baseaddress;

MPI_Datatype MPI_Record;
/* Data Type Declaration (END) */

/* Prototype Declarations */

Element* get_my_records(int n, int p_rank, int p_size);
void disk_store(char * fname, Element* array, int n);
int MPI_send_file(char* filename, MPI_Comm* com, int dest);
int MPI_recv_file(MPI_Comm* com, int source);

/* Prototype Declarations (END) */

#endif


